<ecl-page-header class="ecl-u-mb-xl ecl-u-ph-none">
  <h1 #title eclPageHeaderTitle class="ecl-u-ma-none ecl-u-type-heading-3">{{ 'evidences-page.main.page-title' | translate }}</h1>
  <ng-container>
    <div eclPageHeaderDescriptionContainer class="ecl-u-pv-none ecl-u-mt-xl">
      <div class="header__description-image-container ecl-u-border-all ecl-u-border-color-blue-20">
        <img src="assets/images/authority.svg" alt="" />
      </div>
      <p eclPageHeaderDescription class="header__description">
        {{ 'evidences-page.main.page-description' | translate }}
      </p>
    </div>
  </ng-container>
</ecl-page-header>
<div class="ecl-container">
  <form eclFormGroup *ngIf="showFilters()" [formGroup]="filtersForm" class="filters">
    <div class="filters__search">
      <input
        eclTextInput
        class="ecl-u-pr-4xl"
        type="search"
        [placeholder]="'evidences-page.main.search-form.placeholder' | translate"
        formControlName="search"
        [attr.aria-label]="'aria-label.input.search' | translate" />
      <div class="search-icon-container">
        <ecl-icon icon="search" size="m" />
      </div>
    </div>
    <div class="filters__select ecl-u-mt-none">
      <select eclMultiselect eclSize="xl" [eclPlaceholder]="'evidences-page.main.select.placeholder' | translate" formControlName="select">
        <option
          eclMultiselectOption
          *ngFor="let option of multiselectOptions"
          [value]="option.value"
          [label]="option.label | translate"></option>
      </select>
    </div>
  </form>
  <div class="tabs__container ecl-u-bg-white ecl-u-mt-xl">
    <ecl-tabs>
      <ecl-tab class="tabs__tab" isActive id="evidenceTypes">
        <ecl-tab-label
          >{{ 'evidences-page.main.evidence-types-tab' | translate
          }}<span eclLabel class="tabs__tab-label" variant="highlight" class="ecl-u-ml-s">{{ evTypesTotalItems }}</span></ecl-tab-label
        >
        <div class="table__container">
          <app-table
            *ngIf="!evidencesStatus.errorState && !evidencesStatus.dataLoading"
            [tableData]="evTypesTableData"
            [tableConfig]="evTypesTableConfig"
            [isMobile]="isMobile"
            [currentTextFilter]="filteredValues.search"
            [currentSelectFilters]="[{ columnId: 'evidenceCountry', filterValues: this.filteredValues.select }]"
            (rowClick)="onRowClickHandler($event, 'evidence')"
            (updateTotalItems)="updateTotalItems($event, 'evidence')"></app-table>
        </div>
        <ng-container *ngTemplateOutlet="status; context: { status: evidencesStatus }"></ng-container>
      </ecl-tab>
      <ecl-tab class="tabs__tab" id="evidenceProviders">
        <ecl-tab-label
          >{{ 'evidences-page.main.evidence-providers-tab' | translate
          }}<span eclLabel class="tabs__tab-label" variant="highlight" class="ecl-u-ml-s">{{ evProvidersTotalItems }}</span></ecl-tab-label
        >
        <div class="table__container">
          <app-table
            *ngIf="!providersStatus.errorState && !providersStatus.dataLoading"
            [tableData]="evProvidersTableData"
            [tableConfig]="evProvidersTableConfig"
            [isMobile]="isMobile"
            [currentTextFilter]="filteredValues.search"
            [currentSelectFilters]="[{ columnId: 'providerCountry', filterValues: this.filteredValues.select }]"
            (rowClick)="onRowClickHandler($event, 'provider')"
            (updateTotalItems)="updateTotalItems($event, 'provider')"></app-table>
        </div>
        <ng-container *ngTemplateOutlet="status; context: { status: providersStatus }"></ng-container>
      </ecl-tab>
    </ecl-tabs>
  </div>
</div>

<ng-template #status let-status="status">
  <app-message-box
    *ngIf="status.errorState && !status.dataLoading"
    [title]="errorMessage.title"
    [description]="errorMessage.description"
    [state]="errorMessage.state"></app-message-box>
  <div *ngIf="status.dataLoading" class="spinner-container ecl-u-mv-4xl">
    <ecl-loading-indicator>
      <div eclSpinnerLabel>
        {{ 'common.spinner.label' | translate }}
      </div>
    </ecl-loading-indicator>
  </div>
</ng-template>
